%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  anscombiser
%global packver   1.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Create Datasets with Identical Summary Statistics

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.3.0
Requires:         R-core >= 3.3.0
BuildArch:        noarch
BuildRequires:    R-graphics 
BuildRequires:    R-stats 
Requires:         R-graphics 
Requires:         R-stats 

%description
Anscombe's quartet are a set of four two-variable datasets that have
several common summary statistics but which have very different joint
distributions.  This becomes apparent when the data are plotted, which
illustrates the importance of using graphical displays in Statistics.
This package enables the creation of datasets that have identical marginal
sample means and sample variances, sample correlation, least squares
regression coefficients and coefficient of determination.  The user
supplies an initial dataset, which is shifted, scaled and rotated in order
to achieve target summary statistics.  The general shape of the initial
dataset is retained. The target statistics can be supplied directly or
calculated based on a user-supplied dataset.  The 'datasauRus' package
<https://cran.r-project.org/package=datasauRus> provides further examples
of datasets that have markedly different scatter plots but share many
sample summary statistics.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
